Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.struct.to/v1/polymarket/trader/pnl/{address}/changes
{ "changes": [ { "timeframe": "<string>", "from": 1, "to": 1, "total_pnl_start": 123, "total_pnl_end": 123, "total_pnl_change": 123, "portfolio_start": 123, "portfolio_end": 123, "portfolio_change": 123, "realized_pnl_change": 123, "unrealized_pnl_change": 123, "usdc_balance_change": 123, "pusd_balance_change": 123, "open_positions_change": 123, "total_pnl_change_pct": 123, "portfolio_change_pct": 123 } ], "latest": { "t": 1, "total_pnl": 123, "realized_pnl": 123, "unrealized_pnl": 123, "portfolio_value": 123, "usdc_balance": 123, "pusd_balance": 123, "num_open_positions": 123 } }
PnL, portfolio, balance, and open-position changes per timeframe.
Trader wallet address
Trader PnL changes
Show child attributes
Was this page helpful?